#ifndef H_COMMON
#define H_COMMON

#define FILENAME_SIZE   128
#define COMM_LEN        24
#define ARGS_CNT        20
#define ARGS_LEN	    128
#define ARGS_TLEN       (ARGS_CNT * ARGS_LEN)


struct execve {
    pid_t pid;
    pid_t ppid;
    char filename[FILENAME_SIZE];
};

struct event{
    pid_t pid;
    pid_t ppid;
    uid_t uid;
    char filename[FILENAME_SIZE];
    char comm[COMM_LEN];
    int argc;
    int tlen;
    char args[ARGS_TLEN];
};

#endif
